Bug 216457 - games/widelands: update to b19
Summary: games/widelands: update to b19
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-25 13:36 UTC by Piotr Kubaj
Modified: 2017-07-03 15:01 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (amdmi3)


Attachments
patch (35 bytes, patch)
2017-01-25 13:39 UTC, Piotr Kubaj
no flags Details | Diff
update diff (8.36 KB, patch)
2017-05-07 17:00 UTC, Guido Falsi
madpilot: maintainer-approval? (amdmi3)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2017-01-25 13:36:44 UTC
This patch updates the Widelands port to build 19.

In Poudriere there's one error:
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for items in pkg-plist which are not in STAGEDIR
Error: Missing: share/applications/widelands.desktop

Although the missing file is actually present, so it seems more like a bug.
Comment 1 Piotr Kubaj freebsd_committer 2017-01-25 13:39:27 UTC
Created attachment 179306 [details]
patch
Comment 2 Dmitry Marakasov freebsd_committer 2017-01-25 16:31:27 UTC
The patch is broken
Comment 3 Piotr Kubaj freebsd_committer 2017-01-26 14:29:13 UTC
(In reply to Dmitry Marakasov from comment #2)
What do you mean by being broken?
Comment 4 Dmitry Marakasov freebsd_committer 2017-01-29 12:33:00 UTC
That there's no patch at all.

> patch (35 bytes, patch)
Comment 5 Piotr Kubaj freebsd_committer 2017-01-29 13:46:04 UTC
(In reply to Dmitry Marakasov from comment #4)
Strange, the patch is here:
https://anongoth.pl/widelands.patch

I can download it just fine.
Comment 6 Guido Falsi freebsd_committer 2017-05-07 17:00:40 UTC
Created attachment 182369 [details]
update diff

Hi,

I created the attached update patch autonomously, I discovered this bug when creating a new one to submit it.

The patch updates to b19. I also created a separated plist since it required a few additions for the update.

Thanks!
Comment 7 commit-hook freebsd_committer 2017-06-20 15:14:41 UTC
A commit references this bug:

Author: madpilot
Date: Tue Jun 20 15:14:02 UTC 2017
New revision: 443985
URL: https://svnweb.freebsd.org/changeset/ports/443985

Log:
  - Update games/widelands to build19

  PR:		216457
  Submitted by:	Piotr Kubaj <pkubaj@anongoth.pl>
  Approved by:	maintainer timeout

Changes:
  head/games/widelands/Makefile
  head/games/widelands/distinfo
  head/games/widelands/files/patch-CMakeLists.txt
  head/games/widelands/files/patch-cmake_WlFunctions.cmake
  head/games/widelands/files/patch-src-i18n.cc
  head/games/widelands/pkg-plist
Comment 8 Guido Falsi freebsd_committer 2017-06-20 15:14:52 UTC
Committed. Thanks!
Comment 9 Dmitry Marakasov freebsd_committer 2017-07-02 12:33:55 UTC
Was there a reason to switch lua dependency to 5.2?
Comment 10 Guido Falsi freebsd_committer 2017-07-02 14:49:12 UTC
(In reply to Dmitry Marakasov from comment #9)
> Was there a reason to switch lua dependency to 5.2?

This is a mistake on my part actually.

Thanks for catching it.

The lua dependency should be removed. Starting with this release widelands seems to be using an embedded lua interpreter with no provision for using an external one.

I can build it in poudriere without any lua dependencies. Can you confirm this? 

I should have removed it with my commit, but I admit I made a mistake leaving a test change in there.

this upstream commit seems to be the one causing this:

http://bazaar.launchpad.net/~widelands-dev/widelands/trunk/revision/6829
Comment 11 Dmitry Marakasov freebsd_committer 2017-07-03 14:59:46 UTC
(In reply to Guido Falsi from comment #10)

> This is a mistake on my part actually.
> 
> Thanks for catching it.
> 
> The lua dependency should be removed. Starting with this release widelands
> seems to be using an embedded lua interpreter with no provision for using an
> external one.
> 
> I can build it in poudriere without any lua dependencies. Can you confirm
> this? 

Yes. First, I've tried to reengineer why it was needed as it built fine with 5.1, then too discovered that it's not really needed.
Comment 12 commit-hook freebsd_committer 2017-07-03 15:01:48 UTC
A commit references this bug:

Author: amdmi3
Date: Mon Jul  3 15:00:46 UTC 2017
New revision: 444961
URL: https://svnweb.freebsd.org/changeset/ports/444961

Log:
  - Add missing depends after update to b19
  - Drop unneeded lua dependency

  PR:		216457

Changes:
  head/games/widelands/Makefile